package at.objectbay.tests.swe;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(value = Deliver.class, name = "DeliverA")
public class DeliverABean implements Deliver {

	@Inject @Reference(value="Ordering")
	Ordering ordering;

	@Override
	public void process(Order order) {
		System.out.println("Start "+this.getClass().getName());
		order.setCount(0);
		ordering.process(order);
	}

}
