package at.objectbay.tests.swe;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(value = Deliver.class, name = "Deliver")
public class DeliverBean implements Deliver {

	@Inject @Reference(value="Ordering")
	Ordering2 ordering2;
//	Ordering ordering;
	
	
	@Override
	public void process(Order order) {
		System.out.println("Start "+this.getClass().getName());
		Ordering ordering = new OrderAdapter().adapt(ordering2);

		order.setCount(0);
		ordering.process(order);
	}

}
