package at.objectbay.tests.swe;

import org.switchyard.adapt.Adapter;
import org.switchyard.annotations.Transformer;

public class OrderAdapter implements Adapter<Ordering, Ordering2> {

	@Override 
	@Transformer
	public Ordering adapt(final Ordering2 to) {
		System.out.println("Start "+this.getClass().getName());
		return new Ordering() {
			
			@Override
			public void process(Order order) {
				Ordering2 too = to;
				System.out.println("Start process "+this.getClass().getName());
				Order2 o2 = new Order2(order);
				too.orderIt(o2);
				order.setOrdered(o2.isOrdered());				
			}
			
			@Override
			public void check(Order order) {
				to.check(new Order2(order));			
			}
		};
	}
}
