package at.objectbay.tests.swe;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;
import org.switchyard.component.camel.Route;

@Route(Ordering2.class)
public class Ordering2Route extends RouteBuilder {

	public void configure() {

		from("switchyard://Ordering")
		.log("Received message for 'Ordering' : ${body}")
		.process(new Processor() {
			
			@Override
			public void process(Exchange ex) throws Exception {
				((Order2)ex.getIn().getBody()).setOrdered(true);		
			}
		});
	}

}
