package at.objectbay.tests.swe;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.switchyard.test.Invoker;
import org.switchyard.test.ServiceOperation;
import org.switchyard.test.SwitchYardRunner;
import org.switchyard.test.SwitchYardTestCaseConfig;
import org.switchyard.test.mixins.CDIMixIn;

@RunWith(SwitchYardRunner.class)
@SwitchYardTestCaseConfig(mixins = CDIMixIn.class, config = SwitchYardTestCaseConfig.SWITCHYARD_XML)
public class OrderingTest {

	@ServiceOperation("Ordering")
	private Invoker service;

	@Test
	public void testProcess() throws Exception {

		Order2 order = new Order2(10, "Bergschuhe");
		service.operation("orderIt").sendInOnly(order);

		// validate the results
		Assert.assertTrue("Order is ordered", order.isOrdered());
	}

}
